Package com.io7m.waxmill.machines

# Class WXMEvaluatedBootConfigurationGRUBBhyve.Builder

java.lang.Object
com.io7m.waxmill.machines.WXMEvaluatedBootConfigurationGRUBBhyve.Builder

Enclosing class:
  WXMEvaluatedBootConfigurationGRUBBhyve

    public static final class WXMEvaluatedBootConfigurationGRUBBhyve.Builder
    extends java.lang.Object

Builds instances of type `WXMEvaluatedBootConfigurationGRUBBhyve`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `WXMEvaluatedBootConfigurationGRUBBhyve.Builder` | `addAllDeviceMap​(java.lang.Iterable<java.lang.String> elements)` | Adds elements to `deviceMap` list.
  `WXMEvaluatedBootConfigurationGRUBBhyve.Builder` | `addAllGrubConfiguration​(java.lang.Iterable<java.lang.String> elements)` | Adds elements to `grubConfiguration` list.
  `WXMEvaluatedBootConfigurationGRUBBhyve.Builder` | `addAllRequiredNMDMs​(java.lang.Iterable<? extends java.nio.file.Path> elements)` | Adds elements to `requiredNMDMs` set.
  `WXMEvaluatedBootConfigurationGRUBBhyve.Builder` | `addAllRequiredPaths​(java.lang.Iterable<? extends java.nio.file.Path> elements)` | Adds elements to `requiredPaths` list.
  `WXMEvaluatedBootConfigurationGRUBBhyve.Builder` | `addDeviceMap​(java.lang.String element)` | Adds one element to `deviceMap` list.
  `WXMEvaluatedBootConfigurationGRUBBhyve.Builder` | `addDeviceMap​(java.lang.String... elements)` | Adds elements to `deviceMap` list.
  `WXMEvaluatedBootConfigurationGRUBBhyve.Builder` | `addGrubConfiguration​(java.lang.String element)` | Adds one element to `grubConfiguration` list.
  `WXMEvaluatedBootConfigurationGRUBBhyve.Builder` | `addGrubConfiguration​(java.lang.String... elements)` | Adds elements to `grubConfiguration` list.
  `WXMEvaluatedBootConfigurationGRUBBhyve.Builder` | `addRequiredNMDMs​(java.nio.file.Path element)` | Adds one element to `requiredNMDMs` set.
  `WXMEvaluatedBootConfigurationGRUBBhyve.Builder` | `addRequiredNMDMs​(java.nio.file.Path... elements)` | Adds elements to `requiredNMDMs` set.
  `WXMEvaluatedBootConfigurationGRUBBhyve.Builder` | `addRequiredPaths​(java.nio.file.Path element)` | Adds one element to `requiredPaths` list.
  `WXMEvaluatedBootConfigurationGRUBBhyve.Builder` | `addRequiredPaths​(java.nio.file.Path... elements)` | Adds elements to `requiredPaths` list.
  `WXMEvaluatedBootConfigurationGRUBBhyve` | `build()` | Builds a new `WXMEvaluatedBootConfigurationGRUBBhyve`.
  `WXMEvaluatedBootConfigurationGRUBBhyve.Builder` | `from​(WXMBootConfigurationType.WXMEvaluatedBootConfigurationGRUBBhyveType instance)` | Fill a builder with attribute values from the provided `com.io7m.waxmill.machines.WXMBootConfigurationType.WXMEvaluatedBootConfigurationGRUBBhyveType` instance.
  `WXMEvaluatedBootConfigurationGRUBBhyve.Builder` | `from​(WXMBootConfigurationType.WXMEvaluatedBootConfigurationType instance)` | Fill a builder with attribute values from the provided `com.io7m.waxmill.machines.WXMBootConfigurationType.WXMEvaluatedBootConfigurationType` instance.
  `WXMEvaluatedBootConfigurationGRUBBhyve.Builder` | `setCommands​(WXMEvaluatedBootCommands commands)` | Initializes the value for the `commands` attribute.
  `WXMEvaluatedBootConfigurationGRUBBhyve.Builder` | `setDeviceMap​(java.lang.Iterable<java.lang.String> elements)` | Sets or replaces all elements for `deviceMap` list.
  `WXMEvaluatedBootConfigurationGRUBBhyve.Builder` | `setDeviceMapFile​(java.nio.file.Path deviceMapFile)` | Initializes the value for the `deviceMapFile` attribute.
  `WXMEvaluatedBootConfigurationGRUBBhyve.Builder` | `setGrubConfiguration​(java.lang.Iterable<java.lang.String> elements)` | Sets or replaces all elements for `grubConfiguration` list.
  `WXMEvaluatedBootConfigurationGRUBBhyve.Builder` | `setGrubConfigurationFile​(java.nio.file.Path grubConfigurationFile)` | Initializes the value for the `grubConfigurationFile` attribute.
  `WXMEvaluatedBootConfigurationGRUBBhyve.Builder` | `setRequiredNMDMs​(java.lang.Iterable<? extends java.nio.file.Path> elements)` | Sets or replaces all elements for `requiredNMDMs` set.
  `WXMEvaluatedBootConfigurationGRUBBhyve.Builder` | `setRequiredPaths​(java.lang.Iterable<? extends java.nio.file.Path> elements)` | Sets or replaces all elements for `requiredPaths` list.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final WXMEvaluatedBootConfigurationGRUBBhyve.Builder from​(WXMBootConfigurationType.WXMEvaluatedBootConfigurationGRUBBhyveType instance)
    Fill a builder with attribute values from the provided `com.io7m.waxmill.machines.WXMBootConfigurationType.WXMEvaluatedBootConfigurationGRUBBhyveType` instance.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### from

    public final WXMEvaluatedBootConfigurationGRUBBhyve.Builder from​(WXMBootConfigurationType.WXMEvaluatedBootConfigurationType instance)
    Fill a builder with attribute values from the provided `com.io7m.waxmill.machines.WXMBootConfigurationType.WXMEvaluatedBootConfigurationType` instance.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### addRequiredPaths

    public final WXMEvaluatedBootConfigurationGRUBBhyve.Builder addRequiredPaths​(java.nio.file.Path element)
    Adds one element to `requiredPaths` list.
    Parameters:
      `element` - A requiredPaths element
    Returns:
      `this` builder for use in a chained invocation

  - ### addRequiredPaths

    public final WXMEvaluatedBootConfigurationGRUBBhyve.Builder addRequiredPaths​(java.nio.file.Path... elements)
    Adds elements to `requiredPaths` list.
    Parameters:
      `elements` - An array of requiredPaths elements
    Returns:
      `this` builder for use in a chained invocation

  - ### setRequiredPaths

    public final WXMEvaluatedBootConfigurationGRUBBhyve.Builder setRequiredPaths​(java.lang.Iterable<? extends java.nio.file.Path> elements)
    Sets or replaces all elements for `requiredPaths` list.
    Parameters:
      `elements` - An iterable of requiredPaths elements
    Returns:
      `this` builder for use in a chained invocation

  - ### addAllRequiredPaths

    public final WXMEvaluatedBootConfigurationGRUBBhyve.Builder addAllRequiredPaths​(java.lang.Iterable<? extends java.nio.file.Path> elements)
    Adds elements to `requiredPaths` list.
    Parameters:
      `elements` - An iterable of requiredPaths elements
    Returns:
      `this` builder for use in a chained invocation

  - ### addRequiredNMDMs

    public final WXMEvaluatedBootConfigurationGRUBBhyve.Builder addRequiredNMDMs​(java.nio.file.Path element)
    Adds one element to `requiredNMDMs` set.
    Parameters:
      `element` - A requiredNMDMs element
    Returns:
      `this` builder for use in a chained invocation

  - ### addRequiredNMDMs

    public final WXMEvaluatedBootConfigurationGRUBBhyve.Builder addRequiredNMDMs​(java.nio.file.Path... elements)
    Adds elements to `requiredNMDMs` set.
    Parameters:
      `elements` - An array of requiredNMDMs elements
    Returns:
      `this` builder for use in a chained invocation

  - ### setRequiredNMDMs

    public final WXMEvaluatedBootConfigurationGRUBBhyve.Builder setRequiredNMDMs​(java.lang.Iterable<? extends java.nio.file.Path> elements)
    Sets or replaces all elements for `requiredNMDMs` set.
    Parameters:
      `elements` - An iterable of requiredNMDMs elements
    Returns:
      `this` builder for use in a chained invocation

  - ### addAllRequiredNMDMs

    public final WXMEvaluatedBootConfigurationGRUBBhyve.Builder addAllRequiredNMDMs​(java.lang.Iterable<? extends java.nio.file.Path> elements)
    Adds elements to `requiredNMDMs` set.
    Parameters:
      `elements` - An iterable of requiredNMDMs elements
    Returns:
      `this` builder for use in a chained invocation

  - ### setCommands

    public final WXMEvaluatedBootConfigurationGRUBBhyve.Builder setCommands​(WXMEvaluatedBootCommands commands)
    Initializes the value for the `commands` attribute.
    Parameters:
      `commands` - The value for commands
    Returns:
      `this` builder for use in a chained invocation

  - ### setDeviceMapFile

    public final WXMEvaluatedBootConfigurationGRUBBhyve.Builder setDeviceMapFile​(java.nio.file.Path deviceMapFile)
    Initializes the value for the `deviceMapFile` attribute.
    Parameters:
      `deviceMapFile` - The value for deviceMapFile
    Returns:
      `this` builder for use in a chained invocation

  - ### addDeviceMap

    public final WXMEvaluatedBootConfigurationGRUBBhyve.Builder addDeviceMap​(java.lang.String element)
    Adds one element to `deviceMap` list.
    Parameters:
      `element` - A deviceMap element
    Returns:
      `this` builder for use in a chained invocation

  - ### addDeviceMap

    public final WXMEvaluatedBootConfigurationGRUBBhyve.Builder addDeviceMap​(java.lang.String... elements)
    Adds elements to `deviceMap` list.
    Parameters:
      `elements` - An array of deviceMap elements
    Returns:
      `this` builder for use in a chained invocation

  - ### setDeviceMap

    public final WXMEvaluatedBootConfigurationGRUBBhyve.Builder setDeviceMap​(java.lang.Iterable<java.lang.String> elements)
    Sets or replaces all elements for `deviceMap` list.
    Parameters:
      `elements` - An iterable of deviceMap elements
    Returns:
      `this` builder for use in a chained invocation

  - ### addAllDeviceMap

    public final WXMEvaluatedBootConfigurationGRUBBhyve.Builder addAllDeviceMap​(java.lang.Iterable<java.lang.String> elements)
    Adds elements to `deviceMap` list.
    Parameters:
      `elements` - An iterable of deviceMap elements
    Returns:
      `this` builder for use in a chained invocation

  - ### setGrubConfigurationFile

    public final WXMEvaluatedBootConfigurationGRUBBhyve.Builder setGrubConfigurationFile​(java.nio.file.Path grubConfigurationFile)
    Initializes the value for the `grubConfigurationFile` attribute.
    Parameters:
      `grubConfigurationFile` - The value for grubConfigurationFile
    Returns:
      `this` builder for use in a chained invocation

  - ### addGrubConfiguration

    public final WXMEvaluatedBootConfigurationGRUBBhyve.Builder addGrubConfiguration​(java.lang.String element)
    Adds one element to `grubConfiguration` list.
    Parameters:
      `element` - A grubConfiguration element
    Returns:
      `this` builder for use in a chained invocation

  - ### addGrubConfiguration

    public final WXMEvaluatedBootConfigurationGRUBBhyve.Builder addGrubConfiguration​(java.lang.String... elements)
    Adds elements to `grubConfiguration` list.
    Parameters:
      `elements` - An array of grubConfiguration elements
    Returns:
      `this` builder for use in a chained invocation

  - ### setGrubConfiguration

    public final WXMEvaluatedBootConfigurationGRUBBhyve.Builder setGrubConfiguration​(java.lang.Iterable<java.lang.String> elements)
    Sets or replaces all elements for `grubConfiguration` list.
    Parameters:
      `elements` - An iterable of grubConfiguration elements
    Returns:
      `this` builder for use in a chained invocation

  - ### addAllGrubConfiguration

    public final WXMEvaluatedBootConfigurationGRUBBhyve.Builder addAllGrubConfiguration​(java.lang.Iterable<java.lang.String> elements)
    Adds elements to `grubConfiguration` list.
    Parameters:
      `elements` - An iterable of grubConfiguration elements
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public WXMEvaluatedBootConfigurationGRUBBhyve build()
    Builds a new `WXMEvaluatedBootConfigurationGRUBBhyve`.
    Returns:
      An immutable instance of WXMEvaluatedBootConfigurationGRUBBhyve
    Throws:
      `java.lang.IllegalStateException` - if any required attributes are missing